Draft Mirror/es

From FreeCAD Documentation
This page is a translated version of the page Draft Mirror and the translation is 7% complete.
Outdated translations are marked like this.

Draft Mirror

Ubicación en el Menú
Draft → Mirror
Entornos de trabajo
Draft, Arch
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Draft Scale

Description

Descripción

Esta herramienta produce una copia duplicada de un objeto seleccionado, utilizando un objeto Part Mirror. La copia está vinculada de forma paramétrica al objeto original: si el objeto original cambia, la copia duplicada también cambia, pero se mantiene reflejada.

The command can be used on 2D objects created with the Draft Workbench or Sketcher Workbench, but also on many 3D objects such as those created with the Part Workbench, PartDesign Workbench or BIM Workbench.

Usage

See also: Draft Snap and Draft Constrain.

Comment utiliser

  1. Sélectionnez les objets que vous souhaitez mettre en miroir
  2. Appuyez sur le bouton Draft Mirror.
  3. Cliquez sur le premier point de la ligne miroir sur la vue 3D ou tapez une coordonnée
  4. Cliquez sur l'autre point de la ligne miroir de la vue 3D ou tapez une coordonnée

Options

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

Opciones

  • Después de la creación del espejo, su enlace con el objeto original se puede eliminar con la herramienta Part Simple Copy.
  • El espejo de un objeto Draft también se puede convertir en un Draft Wire, usando Draft Downgrade luego Draft Upgrade.

Notes

Properties

See also: Property editor.

A Part Mirror object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Base

  • DatosSource (Link): specifies the object that is mirrored.

Plane

Propiedades

  • Datos Base: El punto base del plano espejo
  • Datos Normal: la dirección normal del plano reflejado

Scripting

Programación

La herramienta de clonación se puede usar en macros y desde la consola de python usando la siguiente función:

To mirror objects use the mirror method of the Draft module.

mirrored_list = mirror(objlist, p1, p2)
  • Hace espejo (s) del objeto (s) dado a través de un plano definido por una línea de p1 a p2, y paralelo a la vista actual
  • El resultado es un objeto Part Mirror
  • Si el objeto original cambia, el objeto final también cambia pero se mantiene reflejado

Ejemplo:

import FreeCAD as App
import Draft

doc = App.newDocument()

place = App.Placement(FreeCAD.Vector(1000, 0, 0), App.Rotation())
polygon1 = Draft.make_polygon(3, 750)
polygon2 = Draft.make_polygon(5, 750, placement=place)

p1 = App.Vector(2000, -1000, 0)
p2 = App.Vector(2000, 1000, 0)

line1 = Draft.make_line(p1, p2)
mirrored1 = Draft.mirror(polygon1, p1, p2)

Line2 = Draft.make_line(-p1, -p2)
mirrored2 = Draft.mirror([polygon1, polygon2], -p1, -p2)

doc.recompute()